<?php

namespace App\Http\Requests\Store;

use Illuminate\Foundation\Http\FormRequest;

class DomainUpdateChildNameserverRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'nameserver_id' => ['required', 'string'],
            'hostname' => ['nullable', 'string'],
            'ip' => ['nullable', 'ip'],
        ];
    }
}
